#include "mbed.h"
#include "EthernetInterface.h"



Serial uart(USBTX, USBRX);
DigitalOut led(LED4);

void led_thread(void const *args)
{
    while (true) {
        led = !led;
        Thread::wait(1000);
    }
}

int main() {
    Thread thread(led_thread);
    
    uart.baud(115200);
    uart.printf("------------ Ethernet ------------\n");
   
    EthernetInterface eth;
    eth.init(); //Use DHCP
    eth.connect();
    printf("IP Address is %s\n", eth.getIPAddress());
    
    TCPSocketConnection sock;
    sock.connect("mbed.org", 80);
    
    char http_cmd[] = "GET /media/uploads/mbed_official/hello.txt HTTP/1.0\n\n";
    sock.send_all(http_cmd, sizeof(http_cmd)-1);
    
    char buffer[300];
    int ret;
    while (true) {
        ret = sock.receive(buffer, sizeof(buffer)-1);
        if (ret <= 0)
            break;
        buffer[ret] = '\0';
        printf("Received %d chars from server:\n%s\n", ret, buffer);
    }
      
    sock.close();
    
    eth.disconnect();
    
    while(1) {}
}
